<?php
/**
 * auth_base.php - Base class for authentication.
 *
 * @author $Author: dtong $
 * @version $Id: auth_base.php,v 1.4 2011/05/16 12:01:23 dtong Exp $
 * @copyright Copyright (c) 2009, Tiller Software Co., Ltd.
*/
abstract class auth_base {
   protected $config = NULL;
   protected $CI = NULL;

   public function __construct() {
   	$this->CI = &get_instance();
   }

   public function setconfig($obj) {
      $this->config = $obj;
   }

   public abstract function authenticate($username, $password, $dbpassword);
}

?>